summaryrefslogtreecommitdiff
path: root/tools/lint.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/lint.sh')
-rwxr-xr-xtools/lint.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tools/lint.sh b/tools/lint.sh
new file mode 100755
index 0000000..5264112
--- /dev/null
+++ b/tools/lint.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+
+if ! command -v splint 2> /dev/null
+then
+ echo "Please install splint (http://splint.org/)!"
+ exit 1
+fi
+
+find . -type f -iname '*.c' | xargs splint